VERIFIED SOLUTION i

Can MAIL360 Server 2.1.0 run on Windows Server 2008 R2, Windows Server 2008 SP2, or Windows Server 2012

In the MAIL360 Server 2.1.0 Installation and Administration Guide Revision A dated Oct 2014, under System Requirements, it says:
----------------------------------------------
For Microsoft® Windows 2012:
– Microsoft® Windows Server 2012 Standard
– Microsoft® Windows SQL Server 2012 Enterprise Edition
– .NET Framework 3.5

For Microsoft® Windows 2008:
– Microsoft® Windows Server 2008 with Service Pack 1
– .NET Framework 3.5 (If you do not already have it, the installer will direct you to the Microsoft® Web site to download and install this component.)
– Microsoft® SQL Server Standard, SQL Server Express, SQL Server Enterprise (2008 Edition)
----------------------------------------------

So MAIL360 Server 2.1.0 can run on Windows Server 2008 Service Pack 1.  
It may work on Windows Server 2008 R2 or 2008 SP2, but Pitney Bowes Software cannot recommend using it on them since it has not been tested/certified on those platforms.

It will also run on Server 2012 Standard.
Environment Details
Operating System: Windows Server xxxx
 
UPDATED:  April 12, 2017